Subject: Re: commit --quiet option

From: bill lam <[email-masked]>
Date: Wed, 25 Nov 2009 10:06:23 +0800

On Tue, 24 Nov 2009, Junio C Hamano wrote:
> bill lam <[email-masked]> writes:
> 
> > In git version 1.6.6.rc0.15.g4fa8a0 using the --quiet option it still
> > show some output.  Is that intended?  Specifically I would like to
> > exclude message about the untracked files when using --quite option.
> 
> Given that you are getting "you told me to make a commit without preparing
> anything to commit" error message, I think it can be argued in both ways.
> 
>     $ git commit -q -uno -m 'meaningless message'
> 
> would omit the listing of Untracked files; a better alternative, depending
> on what are listed in the section (I take "a123" is an example made-up for
> reproduction recipe, and you are probably getting something like 'foo.bak'
> in real life), might be to update your .gitignore, though.

That git-commit is intended to run inside a cron job for backup from
home folder and .files, so 'commit' is better than 'meaningless
message'.  .gitignore is already maintained however those 'a123' is a
real life example, they are artifacts of '3m post-it' files because I
rarely use clipboard (c-ins/c-ins) to copy text from one application
into another. 

Thanks for tips on -uno option.

-- 
regards,
====================================================
GPG key 1024D/4434BAB3 2008-08-24
gpg --keyserver subkeys.pgp.net --recv-keys 4434BAB3